Package org.eclipse.mat.ui.internal.actions

## Class ExecuteInspectionHandler

- java.lang.Object
- - org.eclipse.core.commands.common.EventManager
  - - org.eclipse.core.commands.AbstractHandler
    - - org.eclipse.mat.ui.internal.actions.ExecuteInspectionHandler

All Implemented Interfaces:
  `IHandler`, `IHandler2`

    public class ExecuteInspectionHandler
    extends AbstractHandler

### Constructor Summary

Constructors
`ExecuteInspectionHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `execute​(ExecutionEvent event)`

### Methods inherited from class org.eclipse.core.commands.AbstractHandler

`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExecuteInspectionHandler

    public ExecuteInspectionHandler()

### Method Detail

#### execute

    public java.lang.Object execute​(ExecutionEvent event)
                             throws ExecutionException

Throws:
  `ExecutionException`